import { defineComponent as i, mergeModels as u, useModel as d, createBlock as m, openBlock as r, unref as s, mergeProps as p } from "vue";
import v from "./SettingInput-DIJQqVYx.js";
const y = /* @__PURE__ */ i({
  __name: "SettingDatePicker",
  props: /* @__PURE__ */ u({
    modelValue: {},
    data: {},
    options: {},
    settings: {},
    loading: { type: Boolean },
    readonly: { type: Boolean },
    isDefault: { type: Boolean }
  }, {
    modelValue: {},
    modelModifiers: {},
    valid: { type: Boolean, default: !0 },
    validModifiers: {}
  }),
  emits: ["update:modelValue", "update:valid"],
  setup(l) {
    const n = l, a = d(l, "modelValue"), t = d(l, "valid");
    return (f, e) => (r(), m(s(v), p({
      modelValue: a.value,
      "onUpdate:modelValue": e[0] || (e[0] = (o) => a.value = o),
      valid: t.value,
      "onUpdate:valid": e[1] || (e[1] = (o) => t.value = o),
      type: "date"
    }, n), null, 16, ["modelValue", "valid"]));
  }
});
export {
  y as _
};
